> ## Documentation Index
> Fetch the complete documentation index at: https://developers.octaviatech.app/llms.txt
> Use this file to discover all available pages before exploring further.

# SEO Optimize Content

> SEO Optimize Content.



## OpenAPI

````yaml POST /ai/seoOptimize
openapi: 3.1.0
info:
  title: Blog API
  version: 1.0.0
servers:
  - url: https://api.octaviatech.app/cms
    description: Production
security:
  - ApiKeyAuth: []
tags: []
paths:
  /ai/seoOptimize:
    post:
      tags:
        - AI
      summary: SEO optimize text (content + metaDescription)
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              additionalProperties: false
              required:
                - text
              properties:
                text:
                  type: string
                  description: Raw text/HTML to optimize
                keyword:
                  type: string
                  description: Primary keyword to target
                  example: intermittent fasting
            examples:
              Basic:
                value:
                  text: <p>Article body…</p>
                  keyword: intermittent fasting
      responses:
        '200':
          description: OK (optimized)
          content:
            application/json:
              example:
                success: true
                statusCode: 200
                message: OK
                data:
                  content: <p>Optimized content…</p>
                  metaDescription: Compelling meta (<= 160 chars)…
                  tokens:
                    used: 220
                    remaining: 9780
                    limit: 10000
        '406':
          description: Validation failed
        '500':
          description: Failed to optimize text for SEO
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````